package com.qmth.distributed.print.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 毕业达成度列表result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/6/13
 */
public class ObeCourseRequirementListResult implements Serializable {

    @ApiModelProperty(value = "主键")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "培养方案id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long cultureProgramId;

    @ApiModelProperty(value = "培养方案名称")
    private String obeCultureProgramName;

    @ApiModelProperty(value = "专业名称")
    private String professionalName;

    @ApiModelProperty(value = "毕业要求达成值")
    private Double requirementDegree;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCultureProgramId() {
        return cultureProgramId;
    }

    public void setCultureProgramId(Long cultureProgramId) {
        this.cultureProgramId = cultureProgramId;
    }

    public String getObeCultureProgramName() {
        return obeCultureProgramName;
    }

    public void setObeCultureProgramName(String obeCultureProgramName) {
        this.obeCultureProgramName = obeCultureProgramName;
    }

    public String getProfessionalName() {
        return professionalName;
    }

    public void setProfessionalName(String professionalName) {
        this.professionalName = professionalName;
    }

    public Double getRequirementDegree() {
        return requirementDegree;
    }

    public void setRequirementDegree(Double requirementDegree) {
        this.requirementDegree = requirementDegree;
    }
}
